# pydicom.config.future_behavior

pydicom.config.future_behavior(enable_future: bool = True) → None

  Imitate the behavior for the next major version of pydicom.

  Added in version 2.1.

  This can be used to ensure your code is “future-proof” for known upcoming changes in the next major version of pydicom. Typically, deprecations become errors, and default values of config flags may change.

  Parameters:

    enable_future (bool) – Set `True` (default) to emulate future pydicom behavior, `False` to reset to current pydicom behavior.

  See also

  `INVALID_KEYWORD_BEHAVIOR`, `INVALID_KEY_BEHAVIOR`